Bug 699808 - dasd: fix race between open and offline [rhel-5.6.z]
Summary: dasd: fix race between open and offline [rhel-5.6.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.6
Hardware: s390x
OS: All
urgent
urgent
Target Milestone: rc
: ---
Assignee: Phillip Lougher
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On: 695357
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-26 16:22 UTC by Ken Reilly
Modified: 2018-11-14 13:09 UTC (History)
13 users (show)

Fixed In Version: kernel-2.6.18-238.11.1.el5
Doc Type: Bug Fix
Doc Text:
Setting a DASD (Direct Access Storage Device) device offline while another process is trying to open that device caused a race in the dasd_open function. The dasd_open function tried to read a pointer from the private_data field after the structure has already been freed, resulting in a dereference of an invalid pointer. With this update, the aforementioned pointer is now stored in a different structure; thus, preventing the race condition.
Clone Of:
Environment:
Last Closed: 2011-05-31 14:08:23 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0833 normal SHIPPED_LIVE Important: kernel security and bug fix update 2011-05-31 14:05:42 UTC
IBM Linux Technology Center 71787 None None None Never

Description Ken Reilly 2011-04-26 16:22:05 UTC
This bug has been copied from bug #695357 and has been proposed
to be backported to 5.6 z-stream (EUS).

Comment 4 Phillip Lougher 2011-04-28 11:49:47 UTC
in kernel-2.6.18-238.11.1.el5

linux-2.6-s390-dasd-fix-race-between-open-and-offline.patch

Comment 6 errata-xmlrpc 2011-05-31 14:08:23 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0833.html

Comment 7 Martin Prpič 2011-06-02 13:31:59 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Setting a DASD (Direct Access Storage Device) device offline while another process is trying to open that device caused a race in the dasd_open function. The dasd_open function tried to read a pointer from the private_data field after the structure has already been freed, resulting in a dereference of an invalid pointer. With this update, the aforementioned pointer is now stored in a different structure; thus, preventing the race condition.


Note You need to log in before you can comment on or make changes to this bug.